#!/bin/sh

# -----------------------------------
# setup variables 
# -----------------------------------
JAVA=java
YEAR=2013
echo $PWD

# -----------------------------------
# Set the classpath
# -----------------------------------
CLASSPATH=.:./lib/lexCheck${YEAR}dist.jar:./install/lib/lexCheckInstall.jar:
export CLASSPATH

# -----------------------------------
# Save the path for future use
# -----------------------------------
echo $PATH > logs/PATH.TXT

# -----------------------------------
# Kick off the Install  
# -----------------------------------
$JAVA gov.nih.nlm.nls.lexCheck.install.Setup.Install ${*} |tee logs/install.log

# -----------------------------------
# Change the permissions on the resulting
# ./bin  scripts 
# -----------------------------------
chmod ugo+x bin/GenerateInflVars
chmod ugo+x bin/LexCheck
chmod ugo+x bin/LexCrossCheck
chmod ugo+x bin/ToJavaObjectFromTextFile
chmod ugo+x bin/ToJavaObjectFromXmlFile
chmod ugo+x bin/ToXmlFromTextFile
chmod ugo+x bin/ValidateContentFromTextFile
chmod ugo+x bin/ValidateSyntaxFromTextFile
