package gov.nih.nlm.nls.lexCheck.Cat.Det;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates interrogative status to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class UpdateDetInterrogative implements UpdateLex
{
    // public method
    /**
    * Update the determiner interrogative to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the interrogative status from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetDetEntry().SetInterrogative(
            token.equals("\tinterrogative"));
    }
}
