package gov.nih.nlm.nls.lexCheck.Cat.Noun;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates noun complements to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class UpdateNounCompl implements UpdateLex
{
    // public method
    /**
    * Update the noun complements to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the noun complement from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetNounEntry().AddCompl(token);
    }
}
