package gov.nih.nlm.nls.lexCheck.Cat.Verb;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates verb nominalization to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class UpdateVerbNominalization implements UpdateLex
{
    // public method
    /**
    * Update the verb nominalizatiion to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the verb nominalization from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetVerbEntry().AddNominalization(token);
    }
}
