package gov.nih.nlm.nls.lexCheck.Cat.Verb;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates verb inflectional variants to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class UpdateVerbVariants implements UpdateLex
{
    // public method
    /**
    * Update the verb inflectional variants to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the verb inflectional variants from the current read 
    *                  in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        //TBD: 
        lexObj.GetCatEntry().GetVerbEntry().AddVariant(token);
        // TBD: add base into current irreg
        /***
        String filler = token;
        if(token.startsWith("irreg|"))
        {
            filler = "irreg|" + lexObj.GetBase() + token.substring(5);
        }
        lexObj.GetCatEntry().GetVerbEntry().AddVariant(filler);
        ***/
    }
}
