package gov.nih.nlm.nls.lexCheck.Gram;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates acronym in the lexical record.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class UpdateAcronym implements UpdateLex
{
    // public method
    /**
    * Updates acronym in the lexical record
    *
    * @param   lexObj  the current object of lexical record
    * @param   token   the cuurent token of acronym
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.SetAcronym(token);
    }
}
