package gov.nih.nlm.nls.lexCheck.Lib;
import java.util.*;
/*****************************************************************************
* This class provides a Java object for token used in lexCheck.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class TokenObject
{
    /**
    *    Creates a default token object
    */
    public TokenObject()
    {
    }
    // public method
    /**
    * Get the buffer of tokenizer
    *
    * @return  the buffer of tokenizer
    */
    public StringTokenizer GetBuffer()
    {
        return buf_;
    }
    /**
    * Get the token
    *
    * @return  token
    */
    public String GetToken()
    {
        return token_;
    }
    /**
    * Set the buffer of tokenizer
    *
    * @param  buf   the buffer of tokenizer
    */
    public void SetBuffer(StringTokenizer buf)
    {
        buf_ = buf;
    }
    /**
    * Set token
    *
    * @param  token   token to be set
    */
    public void SetToken(String token)
    {
        token_ = token;
    }
    private StringTokenizer buf_ = null;
    private String token_ = null;
}
