package gov.nih.nlm.nls.lexCheck.Cat.Adj;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates complement for adjective.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class UpdateAdjCompl implements UpdateLex
{
    // public method
    /**
    * Update the adjective complement to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the complement from the current reanin line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetAdjEntry().AddCompl(token);
    }
}
