package gov.nih.nlm.nls.lexCheck.Cat.Adv;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class update the interrogative for syntactical category of adverb.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class UpdateAdvInterrogative implements UpdateLex
{
    // public method
    /**
    * Update the interrogative for the specifing lexical object and token.
    *
    * @param   lexObj   the lexical object of lexical record to be updated
    * @param   token    the token of interrogative
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetAdvEntry().SetInterrogative(
            token.equals("\tinterrogative"));
    }
}
