package gov.nih.nlm.nls.lexCheck.Cat.Pron;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates pronoun variants to current lexical record.
*
* <p><b>History:</b>
*
* @author NLM LVG Development Team
*
* @version    V-2013
****************************************************************************/
public class UpdatePronVariants implements UpdateLex
{
    // public method
    /**
    * Update the pronoun variants to cuurent lexical record
    *
    * @param   lexObj  the java object of current lexical record
    * @param   token   the pronoun variants from the current read in line
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.GetCatEntry().GetPronEntry().AddVariant(token);
    }
}
