package gov.nih.nlm.nls.lexCheck.Gram;
import gov.nih.nlm.nls.lexCheck.Lib.*;
/*****************************************************************************
* This class updates abbreviation in the lexical record.
*
* <p><b>History:</b>
*
* @author NLM Lexical System Development Team
*
* @version    V-2013
****************************************************************************/
public class UpdateAbbreviation implements UpdateLex
{
    // public method
    /**
    * Updates abbreviation in the lexical record
    *
    * @param   lexObj  the current object of lexical record
    * @param   token   the cuurent token of abbreviation
    */
    public void Update(LexRecord lexObj, String token)
    {
        lexObj.SetAbbreviation(token);
    }
}
